package com.slibra.web.controller.common;

import com.slibra.common.config.QiNiuYunProperties;
import com.slibra.common.core.domain.AjaxResult;
import com.slibra.common.core.domain.R;
import com.slibra.framework.web.service.QiNiuYunServiceImpl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

@Api(tags = "七牛云相关接口")
@Slf4j
@RestController
@RequestMapping("/qiniuyun")
public class UploadController {

    @Autowired
    QiNiuYunServiceImpl qiNiuYunService;

    @Autowired
    private QiNiuYunProperties qiNiuYunProperties;

    @GetMapping("/test")
    public String test(){
        return "success";
    }


    @ApiOperation(value = "文件上传",httpMethod = "POST")
    @ApiParam(name = "file",value = "要上传的文件")
//    @ApiImplicitParam(name = "file", value = "文件上传form表单的key叫file", dataType = "multipart/form-data", dataTypeClass = FormatData.class, required = true)
    @PostMapping(value = "/upLoadImage")
    private R<String> upLoadImage(@RequestParam("file") MultipartFile file) {
        if (!file.isEmpty()) {
            String url = qiNiuYunService.uploadQNImg(file);
            log.info("七牛云返回的图片链接:{}", url);
            return R.ok(url);
        }
        return R.fail("上传的文件不存在");
    }


    /*
     * @Param
     * @return java.lang.String
     **/
    @ApiOperation("删除七牛云上的文件")
    @ApiImplicitParam(name = "fileKey", value = "上传以后接口返回的文件的名字", dataType = "String", dataTypeClass = String.class, required = true)
    @DeleteMapping("/remove")
    public R<Void> removeFile(@RequestParam String fileKey){
        qiNiuYunService.removeFile(qiNiuYunProperties.getBucketName(),fileKey);
        return R.ok(null, "删除成功");
    }



    /**
     * 内服方法调用
     * @param fileKey
     * @return
     */
    @Deprecated
    @GetMapping(value = "/getPrivateFile/{fileKey}")
    private AjaxResult getPrivateFile(@PathVariable String fileKey) {
        AjaxResult ajax = AjaxResult.success();
        ajax.put("url", qiNiuYunService.getPrivateFile(fileKey));
        return ajax;
    }

}

