package com.slibra.common.core.domain;


import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DecisionReq {

    private Long ID;

    @JSONField(name = "TEST_DATE")
    private String testDate;

    @JSONField(name = "TEST_HOUR")
    private String testHour;

    @JSONField(name = "COD_in")
    private BigDecimal codIn;

    @JSONField(name = "COD_in_name")
    private BigDecimal codInName = null;

    @JSONField(name = "COD_off")
    private BigDecimal codOff = null;

    @JSONField(name = "COD_off_name")
    private BigDecimal codOffName = null;

    @JSONField(name = "COD_off_con")
    private BigDecimal codOffCon = null;

    @JSONField(name = "TP_in")
    private BigDecimal tpIn = null;

    @JSONField(name = "TP_in_name")
    private BigDecimal tpInName = null;

    @JSONField(name = "TP_off")
    private BigDecimal tpOff = null;

    @JSONField(name = "TP_off_name")
    private BigDecimal tpOffName = null;

    @JSONField(name = "TP_off_con")
    private BigDecimal tpOffCon = null;

    @JSONField(name = "TN_in")
    private BigDecimal tnIn = null;

    @JSONField(name = "TN_in_name")
    private BigDecimal tnInName = null;

    @JSONField(name = "TN_off")
    private BigDecimal tnOff = null;

    @JSONField(name = "TN_off_name")
    private BigDecimal tnOffName = null;

    @JSONField(name = "TN_off_con")
    private BigDecimal tnOffCon = null;

    @JSONField(name = "andan_in")
    private BigDecimal addanIn = null;

    @JSONField(name = "andan_in_name")
    private BigDecimal addanInName = null;

    @JSONField(name = "andan_off")
    private BigDecimal andanOff = null;

    @JSONField(name = "andan_off_name")
    private BigDecimal andanOffName = null;

    @JSONField(name = "andan_off_con")
    private BigDecimal andanOffCon = null;

    @JSONField(name = "SS_in")
    private BigDecimal ssIn = null;

    @JSONField(name = "SS_in_name")
    private BigDecimal ssInName = null;

    @JSONField(name = "SS_off")
    private BigDecimal ssOff = null;

    @JSONField(name = "SS_off_name")
    private BigDecimal ssOffName = null;

    @JSONField(name = "SS_off_con")
    private BigDecimal ssOffCon = null;

    @JSONField(name = "TDS_in")
    private BigDecimal tdsIn = null;

    @JSONField(name = "TDS_in_name")
    private BigDecimal tdsInName = null;

    @JSONField(name = "T")
    private BigDecimal T  = null;

    @JSONField(name = "pH")
    private BigDecimal pH = null;

    @JSONField(name = "Q_in")
    private BigDecimal qIn = null;

    @JSONField(name = "Q_in_name")
    private BigDecimal qInName = null;

    private String continuity = null;

    @JSONField(name = "check_rise")
    private String checkRise = null;

    @JSONField(name = "time_tips")
    private String timeTips = null;

    @JSONField(name = "cs_continuity")
    private String csContinuity = null;

    @JSONField(name = "SVI")
    private String SVI = null;

    @JSONField(name = "SVI_con")
    private BigDecimal sviCon = null;

    @JSONField(name = "SV")
    private String SV = null;

    @JSONField(name = "SV_con")
    private BigDecimal svCon = null;

    @JSONField(name = "MLVSS")
    private String mlvss = null;

    @JSONField(name = "MLSS")
    private String mlss = null;

    @JSONField(name = "MLVSS_wentai")
    private String mlvssWentai = null;

    @JSONField(name = "MLSS_wentai")
    private String mlssWentai = null;

    @JSONField(name = "DO_ana")
    private String doAna = null;

    @JSONField(name = "DO_O")
    private String doO = null;

    @JSONField(name = "DO_que")
    private String doQue = null;

    @JSONField(name = "DO_que_wentai")
    private String doQueWentai = null;

    @JSONField(name = "DO_ana_wentai")
    private String doAnaWentai = null;

    @JSONField(name = "DO_O_wentai")
    private String doOWentai = null;

    @JSONField(name = "BOD_in")
    private BigDecimal bodIn = null;

    @JSONField(name = "c")
    private BigDecimal c = null;

    @JSONField(name = "b")
    private BigDecimal b = null;

    @JSONField(name = "BTP_wending")
    private String btpWending = null;

    @JSONField(name = "JS_TN_wentai")
    private String jsTnWentai = null;

    @JSONField(name = "CL_P04_YCZ")
    private BigDecimal clP04YCZ = null;

    @JSONField(name = "TP_LV")
    private BigDecimal tpLv = null;

    @JSONField(name = "TP_LV_continuity")
    private BigDecimal tpLvContinuity = null;


    //2024年5月24日16:56:46  新增几个字段
    @JSONField(name = "tyjyl")
    private String tyjyl;

    @JSONField(name = "cltjl")
    private String cltjl;

    @JSONField(name = "hycxsy_all")
    private String hycxsyAll;

    @JSONField(name = "qyan_all")
    private String qyanAll;

    @JSONField(name = "qyckxsy_all")
    private String qyckxsyAll;

    @JSONField(name = "gwnl")
    private BigDecimal gwnl;

    @JSONField(name = "ecc_zl")
    private String eccZl;

    @JSONField(name = "hyzlsy_all")
    private String hyzlsyAll;

    @JSONField(name = "r")
    private BigDecimal r;

    @JSONField(name = "R")
    private BigDecimal RR;

    //2024年08月19日18:01:45 新增字段

    @JSONField(name = "COD_in_daily")
    private BigDecimal codInDaily;

    @JSONField(name = "TP_in_daily")
    private BigDecimal tpInDaily;

    @JSONField(name = "TN_in_daily")
    private BigDecimal tnInDaily;

    @JSONField(name = "andan_in_daily")
    private BigDecimal anDanInDaily;

    @JSONField(name = "SS_in_daily")
    private BigDecimal ssInDaily;

    @JSONField(name = "COD_off_daily")
    private BigDecimal codOffDaily;

    @JSONField(name = "TP_off_daily")
    private BigDecimal tpOffDaily;

    @JSONField(name = "TN_off_daily")
    private BigDecimal tnOffDaily;

    @JSONField(name = "andan_off_daily")
    private BigDecimal anDanOffDaily;

    @JSONField(name = "SS_off_daily")
    private BigDecimal ssOffDaily;

    //2024年08月20日13:22:38 新增参数

    @JSONField(name = "TN_off_lxjc1")
    private BigDecimal tnOffLxjc1;

    @JSONField(name = "TN_off_lxjc2")
    private BigDecimal tnOffLxjc2;

    @JSONField(name = "andan_off_lxjc")
    private BigDecimal anDanOffLxjc;

    @JSONField(name = "TP_off_lxjc")
    private BigDecimal tpOffLxjc;

}
