package com.slibra.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 停水信息对象 t_cut_off_water
 * 
 * @author slibra
 * @date 2024-11-05
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TCutOffWater extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 停水开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "停水开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date timeBegin;

    /** 停水截止时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "停水截止时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date timeEnd;

    /** 停水原因 */
    @Excel(name = "停水原因")
    private String reason;

    /** 关联的泵站-小区楼号的ID */
    @Excel(name = "关联的泵站-小区楼号的ID")
    private String pumpingStationNeighborhoodBuildingId;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

}
