package com.slibra.business.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 楼号信息对象 t_neighborhood_building
 * 
 * @author slibra
 * @date 2024-11-05
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TNeighborhoodBuilding extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 小区的ID */
    @Excel(name = "小区的ID")
    private Long neighborhoodId;

    /** 楼号的名称 */
    @Excel(name = "楼号的名称")
    private String name;

    /** 排序（按照升序排列） */
    @Excel(name = "排序", readConverterExp = "按=照升序排列")
    private Long sort;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

}
