package com.slibra.business.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 泵站-小区楼号中间对象 t_pumping_station_neighbourhood_number
 * 
 * @author slibra
 * @date 2024-11-05
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TPumpingStationNeighbourhoodNumber extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 泵站ID */
    @Excel(name = "泵站ID")
    private Long pumpingStationId;

    /** 小区ID */
    @Excel(name = "小区ID")
    private Long neighborhoodId;

    /** 楼号ID */
    @Excel(name = "楼号ID")
    private Long neighborhoodBuildingId;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

}
