package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.TNeighborhoodBuilding;

/**
 * 楼号信息Mapper接口
 * 
 * @author slibra
 * @date 2024-11-05
 */
public interface TNeighborhoodBuildingMapper 
{
    /**
     * 查询楼号信息
     * 
     * @param id 楼号信息主键
     * @return 楼号信息
     */
    public TNeighborhoodBuilding selectTNeighborhoodBuildingById(Long id);

    /**
     * 查询楼号信息列表
     * 
     * @param tNeighborhoodBuilding 楼号信息
     * @return 楼号信息集合
     */
    public List<TNeighborhoodBuilding> selectTNeighborhoodBuildingList(TNeighborhoodBuilding tNeighborhoodBuilding);

    /**
     * 新增楼号信息
     * 
     * @param tNeighborhoodBuilding 楼号信息
     * @return 结果
     */
    public int insertTNeighborhoodBuilding(TNeighborhoodBuilding tNeighborhoodBuilding);

    /**
     * 修改楼号信息
     * 
     * @param tNeighborhoodBuilding 楼号信息
     * @return 结果
     */
    public int updateTNeighborhoodBuilding(TNeighborhoodBuilding tNeighborhoodBuilding);

    /**
     * 删除楼号信息
     * 
     * @param id 楼号信息主键
     * @return 结果
     */
    public int deleteTNeighborhoodBuildingById(Long id);

    /**
     * 批量删除楼号信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTNeighborhoodBuildingByIds(Long[] ids);
}
