package com.slibra.business.mapper;

import java.util.List;
import com.slibra.business.domain.TWhitelist;

/**
 * 白名单配置Mapper接口
 * 
 * @author slibra
 * @date 2024-11-05
 */
public interface TWhitelistMapper 
{
    /**
     * 查询白名单配置
     * 
     * @param id 白名单配置主键
     * @return 白名单配置
     */
    public TWhitelist selectTWhitelistById(Long id);

    /**
     * 查询白名单配置列表
     * 
     * @param tWhitelist 白名单配置
     * @return 白名单配置集合
     */
    public List<TWhitelist> selectTWhitelistList(TWhitelist tWhitelist);

    /**
     * 新增白名单配置
     * 
     * @param tWhitelist 白名单配置
     * @return 结果
     */
    public int insertTWhitelist(TWhitelist tWhitelist);

    /**
     * 修改白名单配置
     * 
     * @param tWhitelist 白名单配置
     * @return 结果
     */
    public int updateTWhitelist(TWhitelist tWhitelist);

    /**
     * 删除白名单配置
     * 
     * @param id 白名单配置主键
     * @return 结果
     */
    public int deleteTWhitelistById(Long id);

    /**
     * 批量删除白名单配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTWhitelistByIds(Long[] ids);
}
