package com.slibra.business.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.slibra.common.annotation.Excel;

import java.util.Date;

public class ChatReq{


    //决策里是否携带alert的
//    private String feedback = "{}";
    private String feedback;

    //2024年5月28日17:38:00 新增的请求参数 调用预测接口需要传该值
//    private String simulate = "{}";
    private String simulate;

    /** 告警记录ID */
    @Excel(name = "告警记录ID")
    private String warningId;


    @Excel(name = "报警指标", readConverterExp = "存储的是字符串")
    private String category;


    //用户输入的自定义的最新数据
    private String rows;

    //2024年5月29日15:34:06 新增字段 工单的日期
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date reportDate;//yyyy-MM-dd格式的

    //2024年6月17日09:46:53  自定义工单相关参数新增

    /**  开始时间 */
//    @JsonFormat(pattern = "yyyy-MM-dd")
    private String timeBegin;

    /** 截止时间 */
//    @JsonFormat(pattern = "yyyy-MM-dd")
    private String timeEnd;

    private int whichWay;//统计方式  0:日报  1:工业库(在线仪表)

    /** 进水水量Q进 */
    private Boolean jsSlq = false;

    /** 进水化学需氧量COD */
    private Boolean jsCod = false;

    /** 进水总氮TN */
    private Boolean jsTn = false;

    /** 进水总磷TP */
    private Boolean jsTp = false;

    /** 进水氨氮NH₃-N */
    private Boolean jsNh3 = false;

    /** 进水悬浮物SS */
    private Boolean jsSs = false;


    /** 出水水量Q出 */
    private Boolean csSlqc = false;

    /** 出水化学需氧量COD */
    private Boolean csCod = false;

    /** 出水总氮TN */
    private Boolean csTn = false;

    /** 出水总磷TP */
    private Boolean csTp = false;

    /** 出水氨氮NH₃-N */
    private Boolean csNh3 = false;

    /** 出水悬浮物SS */
    private Boolean csSs = false;

    /** 1#好氧池硝酸盐（内回流）+ 回流进水化验机器人有效值1（硝氮1池回流机器人） */
    private Boolean no3Hlj1Jqr = false;

    /** 2#好氧池硝酸盐（内回流） + 回流进水化验机器人有效值2（硝氮2池回流机器人） */
    private Boolean no3Hlj2Jqr = false;

    /** 1#缺氧氨氮 + 化验机器人氨氮化验有效值1（氨氮1池缺氧机器人） */
    private Boolean nh31Jqr = false;

    /** 2#缺氧氨氮 + 化验机器人氨氮化验有效值2（氨氮2池缺氧机器人） */
    private Boolean nh32Jqr = false;

    /** 1#缺氧出口硝酸盐 + 缺氧出水化验机器人有效值1（硝氮1池缺氧机器人） */
    private Boolean no3Qyc1Jqr = false;

    /** 2#缺氧出-硝酸盐 + 缺氧出水化验机器人有效值2（硝氮2池缺氧机器人） */
    private Boolean no3Qyc2Jqr = false;

    /** 二沉池-正磷酸盐 + 化验机器人正磷化验有效值二沉池（正磷二沉池机器人） */
    private Boolean tpRccJqr = false;


    //2024年7月5日17:12:06 新增参数 (方便前端调试获取结果)
    private Double topP;

    private Double temperature;

    //2024年7月27日18:12:45 新增参数
    private String tools;


    //2024年08月11日16:01:27 允许用户自定义prompt
    private String prompt;

    public String getPrompt() {
        return prompt;
    }

    public void setPrompt(String prompt) {
        this.prompt = prompt;
    }

    public String getTools() {
        return tools;
    }

    public void setTools(String tools) {
        this.tools = tools;
    }

    public Double getTopP() {
        return topP;
    }

    public void setTopP(Double topP) {
        this.topP = topP;
    }

    public Double getTemperature() {
        return temperature;
    }

    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }

    public String getFeedback() {
        return feedback;
    }

    public void setFeedback(String feedback) {
        this.feedback = feedback;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }


    public String getRows() {
        return rows;
    }

    public void setRows(String rows) {
        this.rows = rows;
    }

    public String getSimulate() {
        return simulate;
    }

    public void setSimulate(String simulate) {
        this.simulate = simulate;
    }

    public Date getReportDate() {
        return reportDate;
    }

    public void setReportDate(Date reportDate) {
        this.reportDate = reportDate;
    }


    public String getTimeBegin() {
        return timeBegin;
    }

    public void setTimeBegin(String timeBegin) {
        this.timeBegin = timeBegin;
    }

    public String getTimeEnd() {
        return timeEnd;
    }

    public void setTimeEnd(String timeEnd) {
        this.timeEnd = timeEnd;
    }

    public int getWhichWay() {
        return whichWay;
    }

    public void setWhichWay(int whichWay) {
        this.whichWay = whichWay;
    }

    public Boolean getJsSlq() {
        return jsSlq;
    }

    public void setJsSlq(Boolean jsSlq) {
        this.jsSlq = jsSlq;
    }

    public Boolean getJsCod() {
        return jsCod;
    }

    public void setJsCod(Boolean jsCod) {
        this.jsCod = jsCod;
    }

    public Boolean getJsTn() {
        return jsTn;
    }

    public void setJsTn(Boolean jsTn) {
        this.jsTn = jsTn;
    }

    public Boolean getJsTp() {
        return jsTp;
    }

    public void setJsTp(Boolean jsTp) {
        this.jsTp = jsTp;
    }

    public Boolean getJsNh3() {
        return jsNh3;
    }

    public void setJsNh3(Boolean jsNh3) {
        this.jsNh3 = jsNh3;
    }

    public Boolean getJsSs() {
        return jsSs;
    }

    public void setJsSs(Boolean jsSs) {
        this.jsSs = jsSs;
    }

    public Boolean getCsSlqc() {
        return csSlqc;
    }

    public void setCsSlqc(Boolean csSlqc) {
        this.csSlqc = csSlqc;
    }

    public Boolean getCsCod() {
        return csCod;
    }

    public void setCsCod(Boolean csCod) {
        this.csCod = csCod;
    }

    public Boolean getCsTn() {
        return csTn;
    }

    public void setCsTn(Boolean csTn) {
        this.csTn = csTn;
    }

    public Boolean getCsTp() {
        return csTp;
    }

    public void setCsTp(Boolean csTp) {
        this.csTp = csTp;
    }

    public Boolean getCsNh3() {
        return csNh3;
    }

    public void setCsNh3(Boolean csNh3) {
        this.csNh3 = csNh3;
    }

    public Boolean getCsSs() {
        return csSs;
    }

    public void setCsSs(Boolean csSs) {
        this.csSs = csSs;
    }

    public Boolean getNo3Hlj1Jqr() {
        return no3Hlj1Jqr;
    }

    public void setNo3Hlj1Jqr(Boolean no3Hlj1Jqr) {
        this.no3Hlj1Jqr = no3Hlj1Jqr;
    }

    public Boolean getNo3Hlj2Jqr() {
        return no3Hlj2Jqr;
    }

    public void setNo3Hlj2Jqr(Boolean no3Hlj2Jqr) {
        this.no3Hlj2Jqr = no3Hlj2Jqr;
    }

    public Boolean getNh31Jqr() {
        return nh31Jqr;
    }

    public void setNh31Jqr(Boolean nh31Jqr) {
        this.nh31Jqr = nh31Jqr;
    }

    public Boolean getNh32Jqr() {
        return nh32Jqr;
    }

    public void setNh32Jqr(Boolean nh32Jqr) {
        this.nh32Jqr = nh32Jqr;
    }

    public Boolean getNo3Qyc1Jqr() {
        return no3Qyc1Jqr;
    }

    public void setNo3Qyc1Jqr(Boolean no3Qyc1Jqr) {
        this.no3Qyc1Jqr = no3Qyc1Jqr;
    }

    public Boolean getNo3Qyc2Jqr() {
        return no3Qyc2Jqr;
    }

    public void setNo3Qyc2Jqr(Boolean no3Qyc2Jqr) {
        this.no3Qyc2Jqr = no3Qyc2Jqr;
    }

    public Boolean getTpRccJqr() {
        return tpRccJqr;
    }

    public void setTpRccJqr(Boolean tpRccJqr) {
        this.tpRccJqr = tpRccJqr;
    }
}
