package com.slibra.business.service;

import java.util.List;
import com.slibra.business.domain.TNeighborhood;

/**
 * 服务小区Service接口
 * 
 * @author slibra
 * @date 2024-11-05
 */
public interface ITNeighborhoodService 
{
    /**
     * 查询服务小区
     * 
     * @param id 服务小区主键
     * @return 服务小区
     */
    public TNeighborhood selectTNeighborhoodById(Long id);

    /**
     * 查询服务小区列表
     * 
     * @param tNeighborhood 服务小区
     * @return 服务小区集合
     */
    public List<TNeighborhood> selectTNeighborhoodList(TNeighborhood tNeighborhood);

    /**
     * 新增服务小区
     * 
     * @param tNeighborhood 服务小区
     * @return 结果
     */
    public int insertTNeighborhood(TNeighborhood tNeighborhood);

    /**
     * 修改服务小区
     * 
     * @param tNeighborhood 服务小区
     * @return 结果
     */
    public int updateTNeighborhood(TNeighborhood tNeighborhood);

    /**
     * 批量删除服务小区
     * 
     * @param ids 需要删除的服务小区主键集合
     * @return 结果
     */
    public int deleteTNeighborhoodByIds(Long[] ids);

    /**
     * 删除服务小区信息
     * 
     * @param id 服务小区主键
     * @return 结果
     */
    public int deleteTNeighborhoodById(Long id);
}
